分類
macOS

使用 xcode-install 來管理 Xcode 版本

我們都知道,在使用 Python 的時候有 pyenv,使用 ruby​​ 的話有 rbenv,都能方便地控制和管理編程語言環境的版本,那麼,有沒有什麼方法,能讓 Xcode 也像這樣切換版本呢?

每次 Xcode 發布更新,更還是不更成了一個問題,下載難,還不能斷點續傳,又不能用第三方工具下載,真的是非常要命……就更別提多個版本時候的兼容問題了。

使用 xcode安裝,一次性解決這些問題,耶!

它是一個專門用來管理 Xcode 版本的工具,可以一鍵切換不同版本的 Xcode,在你的 Mac 上安裝多個版本的 Xcode,非常方便。

首先,使用命令安裝它: 寶石 安裝 Xcode中-安裝

然後是更新可用版本列表: xcversion 更新 ,不過由於是要從蘋果開發者網站拉取所有可用版本列表,所以需要你的開發者登錄賬號和密碼,這些會保存在本地 iCloud 鑰匙串當中,不用擔心。

輸入後你很有可能會遇到如下報錯:

這是由於你當前已經安裝了 Xcode 導致的,這阻止了 xcode-install 創建鏈接,所以,根據你當前安裝的 Xcode 版本,將現在已經安裝的版本改名,比如我現在安裝的版本是最新的 11.5,那麼就把 Xcode中.應用 改名為 Xcode中-11.5.應用 ,然後再重試即可。

更新列表後就可以根據列表中的版本號進行安裝了,你可以看到,在版本列表中,11.5 的版本已經安裝:

就使用命令 xcversion 選擇 11.5 讓當前 Xcode 生效。

使用 xcversion 已選 來驗證:

現在 xcode-install 已經能正確識別我們原本安裝且正在使用的 Xcode 版本了。

注意如果版本號裡包含空格,比如測試版,那麼需要用單引號將版本號括起來,使用命令安裝另一個版本的 Xcode:

下載過程中經常容易斷,但是沒關係,你可以重新運行安裝命令,它是有緩存的,所以能夠斷點續傳,對於網絡質量不好的朋友來說,確實令人欣慰。

本文由 落格博客 原創撰寫:落格博客 » 使用 xcode-install 來管理 Xcode 版本

轉載請保留出處和原文鏈接:https://www.logcg.com/archives/3377.html

通過 落格博客

如非聲明,本人所著文章均為原創手打,轉載請註明本頁面鏈接和我的名字。

發表評論

您的電子郵件地址不會被公開. 必填字段標 *